RRAMS Citizens - Mobile Application - Bug #142

Code optimization
29/04/2024 10:55 AM - Jyoshna Behara

Status: Resolved Start date: 29/04/2024
Priority: Immediate Due date: 02/05/2024
Assignee: Prashanth Appani % Done: 0%
Category: Estimated time: 3:00 hours
Target version: Spent time: 0:00 hour
Deployed In: Category:

Description

Please clear unwanted or unused variables (check with spelling of the variable) and do code optimization
For reference check Dart Analysis window in the project. (Below provide few examples )

1. This class (or a class that this class inherits from) is marked as '@immutable’, but one or more of its instance fields aren't final
2. This function has a nullable return type of 'String?', but ends without returning a value.

3. 'center' is deprecated and shouldn't be used. Prefer “initialCenter’ instead. This option has been renamed to clarify its meaning.
4. An uninitialized variable should have an explicit type annotation.

5. Constructors in '@immutable’ classes should be declared as 'const'.

History

#1 - 30/04/2024 02:11 AM - Prashanth Appani

- Status changed from New to Closed

#2 - 02/05/2024 03:47 AM - Jyoshna Behara

- Due date deleted (29/04/2024)

- Status changed from Closed to New

- Estimated time set to 3:00 h

Still spelling errors and improper method and variables name are exist in Project.
Maintain common classes for hard corded string data, common text format or theme.
Make separate classes for Ul and service call.

Remove - Unnecessary commented codes.

#3 - 02/05/2024 03:47 AM - Jyoshna Behara
- Due date set to 02/05/2024

Jyoshna Rani wrote in #note-2:

Still spelling errors and improper method and variables name are exist in Project.
Maintain common classes for hard corded string data, common text format or theme.
Make separate classes for Ul and service call.

Remove - Unnecessary commented codes.

#4 - 10/05/2024 05:15 AM - Sivakanth Kesiraju

- Status changed from New to Resolved
